=== modified file 'drizzled/functions/Makefile.am'
--- drizzled/functions/Makefile.am	2008-10-08 00:14:19 +0000
+++ drizzled/functions/Makefile.am	2008-10-08 20:03:44 +0000
@@ -18,10 +18,12 @@
 noinst_LTLIBRARIES = 	libfunctions.la
 
 libfunctions_la_SOURCES = func.cc \
-                          int.cc 
+                          int.cc \
+			  real.cc
 
 noinst_HEADERS = func.h \
-                 int.h
+                 int.h \
+		 real.h
 	
 
 DEFS= -DDRIZZLE_SERVER @DEFS@

=== added file 'drizzled/functions/real.cc'
--- drizzled/functions/real.cc	1970-01-01 00:00:00 +0000
+++ drizzled/functions/real.cc	2008-10-08 20:03:44 +0000
@@ -0,0 +1,48 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include <drizzled/server_includes.h>
+
+#include CSTDINT_H
+#include <cassert>
+
+#include <drizzled/functions/real.h>
+
+String *Item_real_func::val_str(String *str)
+{
+  assert(fixed == 1);
+  double nr= val_real();
+  if (null_value)
+    return 0; /* purecov: inspected */
+  str->set_real(nr,decimals, &my_charset_bin);
+  return str;
+}
+
+
+my_decimal *Item_real_func::val_decimal(my_decimal *decimal_value)
+{
+  assert(fixed);
+  double nr= val_real();
+  if (null_value)
+    return 0; /* purecov: inspected */
+  double2my_decimal(E_DEC_FATAL_ERROR, nr, decimal_value);
+  return decimal_value;
+}
+
+

=== added file 'drizzled/functions/real.h'
--- drizzled/functions/real.h	1970-01-01 00:00:00 +0000
+++ drizzled/functions/real.h	2008-10-08 20:03:44 +0000
@@ -0,0 +1,42 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef DRIZZLED_FUNCTIONS_REAL_H
+#define DRIZZLED_FUNCTIONS_REAL_H
+
+#include <drizzled/item.h>
+#include <drizzled/functions/real.h>
+
+class Item_real_func :public Item_func
+{
+public:
+  Item_real_func() :Item_func() {}
+  Item_real_func(Item *a) :Item_func(a) {}
+  Item_real_func(Item *a,Item *b) :Item_func(a,b) {}
+  Item_real_func(List<Item> &list) :Item_func(list) {}
+  String *val_str(String*str);
+  my_decimal *val_decimal(my_decimal *decimal_value);
+  int64_t val_int()
+    { assert(fixed == 1); return (int64_t) rint(val_real()); }
+  enum Item_result result_type () const { return REAL_RESULT; }
+  void fix_length_and_dec()
+  { decimals= NOT_FIXED_DEC; max_length= float_length(decimals); }
+};
+
+#endif /* DRIZZLED_FUNCTIONS_REAL_H */

=== modified file 'drizzled/item_func.cc'
--- drizzled/item_func.cc	2008-10-08 03:24:53 +0000
+++ drizzled/item_func.cc	2008-10-08 20:03:44 +0000
@@ -48,29 +48,6 @@
 }
 
 
-
-String *Item_real_func::val_str(String *str)
-{
-  assert(fixed == 1);
-  double nr= val_real();
-  if (null_value)
-    return 0; /* purecov: inspected */
-  str->set_real(nr,decimals, &my_charset_bin);
-  return str;
-}
-
-
-my_decimal *Item_real_func::val_decimal(my_decimal *decimal_value)
-{
-  assert(fixed);
-  double nr= val_real();
-  if (null_value)
-    return 0; /* purecov: inspected */
-  double2my_decimal(E_DEC_FATAL_ERROR, nr, decimal_value);
-  return decimal_value;
-}
-
-
 void Item_func::fix_num_length_and_dec()
 {
   uint32_t fl_length= 0;

=== modified file 'drizzled/item_func.h'
--- drizzled/item_func.h	2008-10-08 01:10:45 +0000
+++ drizzled/item_func.h	2008-10-08 20:03:44 +0000
@@ -32,22 +32,7 @@
 
 #include <drizzled/functions/func.h>
 #include <drizzled/functions/int.h>
-
-class Item_real_func :public Item_func
-{
-public:
-  Item_real_func() :Item_func() {}
-  Item_real_func(Item *a) :Item_func(a) {}
-  Item_real_func(Item *a,Item *b) :Item_func(a,b) {}
-  Item_real_func(List<Item> &list) :Item_func(list) {}
-  String *val_str(String*str);
-  my_decimal *val_decimal(my_decimal *decimal_value);
-  int64_t val_int()
-    { assert(fixed == 1); return (int64_t) rint(val_real()); }
-  enum Item_result result_type () const { return REAL_RESULT; }
-  void fix_length_and_dec()
-  { decimals= NOT_FIXED_DEC; max_length= float_length(decimals); }
-};
+#include <drizzled/functions/real.h>
 
 
 class Item_func_numhybrid: public Item_func

